<?xml version="1.0"?>
<xsl:stylesheet version="1.1"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:mp="http://www.worldtreesoftware.com/mpml"
  exclude-result-prefixes="mp">

  <!--
  This module is used to set the id of a page when using navItems.
  Attributes:
    pageId - Id of the page. Used to link the page to a navItem.
  -->
  <xsl:template match="mp:navData">
    <!-- This module doesn't output anything, it's only for setting page id -->
  </xsl:template>

  <!--
  A module that links to a web page and is hilighted when the page's id matches
  the id of the navItem.
  Attributes:
    id - Id of the page this item is linked to. The page id is defined using the navBarData element.
    url - URL of the page to link to when clicked.
    label - Label to display.
  -->
  <xsl:template match="mp:navItem">
    <span>
      <xsl:if test="//mp:navData/@pageId = @id">
        <xsl:attribute name="style">font-weight:bold;</xsl:attribute>
      </xsl:if>
      
      <a href="{@url}"><xsl:value-of select="@label"/></a>
    </span>
  </xsl:template>

</xsl:stylesheet>